Ability to copy filepath in Song Info dialogue

October 06, 2022 22:55 - Daniel Bedrenko

Status: Rejected Start date: October 06, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: libaudqt Estimated time: 0.00 hour

Target version: 4.3   

Affects version: 4.2   

Description

Hello, thank you for this great media player! A constant pet peeve of mine is that the the "Copy" action on the filepath of a song

copies it as an escaped URI instead of simply copying the filepath as it is shown.

https://i.imgur.com/hINknBZ.png

So instead of it copying to clipboard:

~/Music/chiptune/keygenmusic/KEYGENMUSiC MusicPack/TFT/TFT - Feeding Frenzy 2 crk.xm

 

it copies:

file:///home/danb/Music/chiptune/keygenmusic/KEYGENMUSiC%20MusicPack/TFT/TFT%20-%20Feeding%20Frenz

y%202%20crk.xm

 

Which cannot be used with any basic shell commands or file managers. It's even worse with non-latin characters!

If someone does indeed have a want for the URI, we could support both ways by making the filepath selectable text widget, i.e. you

can highlight the filepath with the cursor and copy it.

History

#1 - October 07, 2022 21:05 - Thomas Lange

- Target version set to 4.2.1

- Status changed from New to Rejected

- Category set to libaudqt

- Affects version 4.2 added

- Affects version deleted (4.2.1)

This has already been reported as #1174. The next release will contain the fix.

#2 - February 06, 2023 21:04 - John Lindgren

- Target version changed from 4.2.1 to 4.3
